Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.b2b
Class Util

    java.lang.Object
      |
      +--examples.e2e.b2b.Util

public class Util
extends java.lang.Object

`Util` provides a set of static methods to produce `String` representations of objects contained in various `java.util` objects.

Method Summary
`static java.lang.String` | `getString(java.util.Iterator it, int size)` Returns a `String` representation of the objects contained in the `Iterator` object supplied.
`static java.lang.String` | `getString(java.util.List list)` Returns a `String` representation of the objects contained in the `List` object supplied.
`static java.lang.String` | `getString(java.util.Properties props)` Returns a `String` representation of the objects contained in the `Properties` object supplied.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public static java.lang.String getString(java.util.Properties props)

  Returns a `String` representation of the objects contained in the `Properties` object supplied. The `toString()` method of contained objects is used to generate the `String`. The order of objects is determined by the `keys()` method of `Properties`.

  Parameters:
    `props` - the `Properties` object to traverse to produce the output `String`.
  Returns:
    a `String` representation of the objects contained in the `Properties` object supplied.

### getString

    public static java.lang.String getString(java.util.List list)

  Returns a `String` representation of the objects contained in the `List` object supplied. The `toString()` method of contained objects is used to generate the `String`.

  Parameters:
    `list` - the `List` object to traverse to produce the output `String`.
  Returns:
    a `String` representation of the objects contained in the `List` object supplied.

### getString

    public static java.lang.String getString(java.util.Iterator it,
                                             int size)

  Returns a `String` representation of the objects contained in the `Iterator` object supplied. The `toString()` method of contained objects is used to generate the `String`.

  Parameters:
    `it` - the `Iterator` object to traverse to produce the output `String`.
    `size` - the number of objects in the `Iterator`. This value is used to improve computational efficiency and is included in the output `String`.
  Returns:
    a `String` representation of the objects contained in the `Iterator` object supplied.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved